package be.kdg.labyrinth;

import be.kdg.labyrinth.JavaFX.model.GameModel;
import be.kdg.labyrinth.JavaFX.view.StartView;
import be.kdg.labyrinth.JavaFX.view.StartPresenter;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {
    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) {
        GameModel model = new GameModel("src/be/kdg/labyrinth/LabyrinthEasy.csv", "Easy");
        StartView startView = new StartView();
        new StartPresenter(model, startView, stage);

        Scene scene = new Scene(startView, 1500, 800);
        stage.setScene(scene);
        stage.setTitle("Labyrinth Game");
        stage.setFullScreen(false);
        stage.setResizable(true);
        stage.show();
    }
}